<%= javascript_include_tag "/assets/kindeditor/kindeditor", '/assets/kindeditor/pasteimg', "init_activity_KindEditor" %>
<style type="text/css">
    /*回复框*/
    div.ke-toolbar {
        display: none;
        width: 400px;
        border: none;
        background: none;
        padding: 0px 0px;
    }

    span.ke-toolbar-icon {
        line-height: 26px;
        font-size: 14px;
        padding-left: 26px;
    }

    span.ke-toolbar-icon-url {
        background-image: url(/images/public_icon.png)
    }

    div.ke-toolbar .ke-outline {
        padding: 0px 0px;
        line-height: 26px;
        font-size: 14px;
    }

    span.ke-icon-emoticons {
        background-position: 0px -671px;
        width: 50px;
        height: 26px;
    }

    span.ke-icon-emoticons:hover {
        background-position: -79px -671px;
        width: 50px;
        height: 26px;
    }

    div.ke-toolbar .ke-outline {
        border: none;
    }

    .ke-inline-block {
        display: none;
    }

    div.ke-container {
        float: left;
    }
</style>
<% course_activities.each do |activity| if course_activities %>
        <script>
            function expand_reply(container, btnid) {
                var target = $(container);
                var btn = $(btnid);
                if (btn.data('init') == '0') {
                    btn.data('init', 1);
                    btn.html('收起回复(' + btn.data('count') + ')');
                    target.show();
                } else {
                    btn.data('init', 0);
                    btn.html('展开更多(' + btn.data('count') + ')');
                    target.hide();
                    target.eq(0).show();
                    target.eq(1).show();
                }
            }

            function expand_reply_input(id) {
                $(id).toggle();
            }

            $(function () {
                init_activity_KindEditor_data(<%= activity.id%>, null, "87%");
                var description_images=$("div#activity_description_<%= activity.id %>").find("img");
                if (description_images.length>0) {
                    for (var i=0; i<description_images.length; i++){
                        var image=$(description_images[i]);
                        var element=$("<a></a>").attr("href",image.attr('src'));
                        image.wrap(element);
                    }
                }
                $('#activity_description_<%= activity.id %> a').colorbox({rel:'nofollow', close: "关闭", returnFocus: false});

                var reply_images=$("div#reply_content_<%= activity.id %>").find("img");
                if (reply_images.length>0) {
                    for (var i=0; i<reply_images.length; i++){
                        var image=$(reply_images[i]);
                        var element=$("<a></a>").attr("href",image.attr('src'));
                        image.wrap(element);
                    }
                }
                $('#reply_content_<%= activity.id %> a').colorbox({rel:'nofollow', close: "关闭", returnFocus: false});
            });
        </script>
            <% if activity %>
                <% act = activity.course_act %>
                <% case activity.course_act_type.to_s %>
                <% when 'HomeworkCommon' %>
                    <%= render :partial => 'users/course_homework', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'News' %>
                    <%= render :partial => 'users/course_news', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'Message' %>
                    <%= render :partial => 'users/course_message', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'Poll' %>
                    <%= render :partial => 'users/course_poll', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'JournalsForMessage' %>
                    <%= render :partial => 'users/course_journalsformessage', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'Attachment' %>
                    <%= render :partial => 'users/course_attachment', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'Course' %>
                    <%= render :partial => 'users/course_create', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% end %>
            <% end %>
    <% end %>
<% end %>

<% if course_activities.count == 10 %>
    <div id="show_more_course_activities" class="loadMore mt10 f_grey">展开更多<%= link_to "", course_activity_path(@course.id, :type => type, :page => page), :id => "more_course_activities_link", :remote => "true", :class => "none" %></div>
<% end %>

<script type="text/javascript">
    $("#show_more_course_activities").mouseover(function () {
        $("#more_course_activities_link").click();
    });
</script>